API referenceSenders
JavaScript SDK: swarmhit.senders.list(params?)
Oldest first, each with its accounts.
Authorization
bearerAuth AuthorizationBearer <token>
An API key created on the Access tokens page.
In: header
Query Parameters
limit?integer
Page size, 1–100.
Range
1 <= value <= 100Default
50offset?integer
Number of records to skip.
Range
0 <= valueDefault
0Response Body
application/json
application/json
curl -X GET "https://example.com/senders"{ "data": [ { "id": "string", "firstName": "string", "lastName": "string", "name": "string", "picture": "string", "managerIds": [ "string" ], "linkedinAccountId": "string", "emailAccountIds": [ "string" ], "whatsappAccountIds": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "paging": { "limit": 0, "offset": 0 }}Get a sender GET
**JavaScript SDK:** [`swarmhit.senders.get(senderId)`](/smart-api/sdk/methods#senders)
Update a sender PATCH
**JavaScript SDK:** [`swarmhit.senders.update(senderId, params)`](/smart-api/sdk/methods#senders) Only the fields given are written (at least one). A list replaces the sender's accounts of that kind (`[]` unlinks them all), and `linkedinAccountId` replaces its LinkedIn account (`null` unlinks it). An account linked here leaves the sender it had.